.TH HG RENAME  "" "" ""
.SH NAME
hg rename \- rename files; equivalent of copy + remove
.\" Man page generated from reStructuredText.
.
.SH SYNOPSIS
.sp
.nf
.ft C
hg rename [OPTION]... SOURCE... DEST
.ft P
.fi
.SH DESCRIPTION
.sp
Mark dest as copies of sources; mark sources for deletion. If dest
is a directory, copies are put in that directory. If dest is a
file, there can only be one source.
.sp
By default, this command copies the contents of files as they
exist in the working directory. If invoked with \-A/\-\-after, the
operation is recorded, but no copying is performed.
.sp
To undo marking a destination file as renamed, use \-\-forget. With that
option, all given (positional) arguments are unmarked as renames. The
destination file(s) will be left in place (still tracked). The source
file(s) will not be restored. Note that \%\fBhg rename \-\-forget\fP\: behaves
the same way as \%\fBhg copy \-\-forget\fP\:.
.sp
This command takes effect with the next commit by default.
.sp
Returns 0 on success, 1 if errors are encountered.
.SH OPTIONS
.INDENT 0.0
.TP
.B \-\-forget
.
unmark a destination file as renamed
.TP
.B \-A,  \-\-after
.
record a rename that has already occurred
.TP
.BI \-\-at\-rev \ <REV>
.
(un)mark renames in the given revision (EXPERIMENTAL)
.TP
.B \-f,  \-\-force
.
forcibly move over an existing managed file
.TP
.BI \-I,  \-\-include \ <PATTERN[+]>
.
include names matching the given patterns
.TP
.BI \-X,  \-\-exclude \ <PATTERN[+]>
.
exclude names matching the given patterns
.TP
.B \-n,  \-\-dry\-run
.
do not perform actions, just print output
.UNINDENT
.sp
[+] marked option can be specified multiple times
.SH ALIASES
.sp
.nf
.ft C
move, mv
.ft P
.fi
.\" Generated by docutils manpage writer.
.\" 
.
